Subject: Re: bug#24091: 24.5; High CPU usage at startup while hidden

From: Dominik Schrempf <[email-masked]>
Date: Fri, 13 Jan 2017 11:19:52 +0100

Hello,

I do not want to bring up old threads, but I am having the exact same
problem with Emacs+XMonad for years now.  Did you come to a conclusion
or find a fix back in September?

Thanks,
Dominik

On Tue, Sep 06 2016, Eli Zaretskii wrote:
>> From: Noam Postavsky <[email-masked]>
>> Date: Sun, 4 Sep 2016 12:21:20 -0400
>> Cc: Aiken <[email-masked]>,
>> 	Clément Pit--Claudel <[email-masked]>,
>> 	[email-masked]
>> 
>> On Sun, Sep 4, 2016 at 11:56 AM, martin rudalics <[email-masked]> wrote:
>> > In x_make_frame_visible we have this loop:
>> >
>> >     while (!FRAME_VISIBLE_P (f))
>> >
>> > What I wanted to know is whether the frame f here is the _same_ frame
>> > you see in x_top_window_to_frame where IIUC
>> >
>> >           if (wdesc == XtWindow (x->widget))
>> >             return f;
>> 
>> Oh, I see. Yes, it is the same frame.
>
> Maybe we should stop waiting after some time has passed, like 0.5
> sec.  Does that work in this case?  Does the frame always appears
> within half a second when workspaces are not involved?
>
> Thanks.